Subject: Re: bug#70647: 30.0.50; When are :core packages released to GNU ELPA?

From: Eli Zaretskii <[email-masked]>
Date: Mon, 29 Apr 2024 17:35:56 +0300

> From: No Wayman <[email-masked]>
> Cc: Philip Kaludercic <[email-masked]>
> Date: Mon, 29 Apr 2024 10:25:50 -0400
> 
> Eli Zaretskii <[email-masked]> writes: 
>  
> > [Why private email?]
> 
> Apologies. Must've fat-fingered my reply key binding. 

Looks like you did it again.  Please use Reply All, to have the bug
tracker CC'ed.

Resending to the bug tracker.

> >> From: No Wayman <[email-masked]> Date: Mon, 29 
> >> Apr 2024 09:52:54 -0400  Eli Zaretskii <[email-masked]> writes:  
> >>   
> >> > Are there any differences in the code between version 1.17 on 
> >> > ELPA and the Eglot code as of commit b014bca833a. 
> >>  I would hope not. Otherwise the version information is 
> >> incorrect. 
> > 
> > Then why is this a problem?  File time stamps are immaterial 
> > with modern VCSes.
> 
> The problem is it's confusing.
> When is the "release date" of eglot 1.17?
> The date of the commit which bumped the Version header?
> The date of some other action which triggered an ELPA build?
> If file timestamps are indeed immaterial, than it would make the 
> most sense to stick with the commit date which bumped the Version 
> header.
> That does not appear to be the case.
>   
> >> > What would you like to be documented? 
> >>  - What triggers a package build/release on GNU ELPA in all 
> >> cases  
> >>   (:core or otherwise)? 
> > 
> > Philip will tell, but I'm not surprised, given that this is a 
> > volunteer project. 
> > 
> >> - What triggers a package build/release on GNU-devel ELPA. 
> > 
> > What is "GNU-devel ELPA"?
> 
> Forgive me if I misspoke, but: https://elpa.gnu.org/devel/
> 
> > <h1> GNU-devel ELPA Packages </h1>
> 
> If that's not what it's called, then the website should be updated 
> to reflect the preferred name.
>  
> > I don't even understand the problem you see here. 
> 
> I've seen other package maintainers confused about what/when a 
> rebuild is triggered. I have reports on Elpaca's issue tracker 
> where users are confused by the release dates listed on GNU ELPA's 
> websites. I myself am not 100% sure I understand all cases that 
> trigger builds. The issue is I could not find a place where this 
> is all clearly documented.
>